image: node:12

stages:
  - test
  - fuzz

unit_test:
  stage: test
  script:
    - echo "Stub for regular unit-tests"

include:
  - template: Coverage-Fuzzing.gitlab-ci.yml

my_fuzz_target:
  extends: .fuzz_base
  script:
    - npm config set @gitlab-org:registry https://gitlab.com/api/v4/packages/npm/ && npm i -g @gitlab-org/jsfuzz
    - ./gitlab-cov-fuzz run --engine jsfuzz -- fuzz.js

